summaryrefslogtreecommitdiffstats
path: root/mvn-phase-script.sh
diff options
context:
space:
mode:
authorLusheng Ji <lji@research.att.com>2017-09-12 01:55:25 +0000
committerLusheng Ji <lji@research.att.com>2017-09-12 01:55:31 +0000
commitd6f3e2c86d529d928e7d340feae0f0320637db57 (patch)
tree8933e7903eb85950915bd9252431f27e9c33852f /mvn-phase-script.sh
parent264478fa989fd87b3e71fe06a6fa2a77ac2a3a3c (diff)
Update pom, mvn scripts
Issue-Id: DCAEGEN2-60 Change-Id: I0dc403bc908bb23af1db14c60a4dcaf7bf79401d Signed-off-by: Lusheng Ji <lji@research.att.com>
Diffstat (limited to 'mvn-phase-script.sh')
-rwxr-xr-xmvn-phase-script.sh131
1 files changed, 123 insertions, 8 deletions
diff --git a/mvn-phase-script.sh b/mvn-phase-script.sh
index 904c74a..2a8d11e 100755
--- a/mvn-phase-script.sh
+++ b/mvn-phase-script.sh
@@ -1,32 +1,103 @@
#!/bin/bash
+# ================================================================================
+# Copyright (c) 2017 AT&T Intellectual Property. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+# ============LICENSE_END=========================================================
+#
+# ECOMP is a trademark and service mark of AT&T Intellectual Property.
+
+set -ex
+
+
echo "running script: [$0] for module [$1] at stage [$2]"
-echo "=> Prepare environment "
-#env
+MVN_PROJECT_MODULEID="$1"
+MVN_PHASE="$2"
-TIMESTAMP=$(date +%C%y%m%dT%H%M%S)
-export BUILD_NUMBER="${TIMESTAMP}"
-# expected environment variables
+PROJECT_ROOT=$(dirname $0)
+
+FQDN="${MVN_PROJECT_GROUPID}.${MVN_PROJECT_ARTIFACTID}"
+if [ "$MVN_PROJECT_MODULEID" == "__" ]; then
+ MVN_PROJECT_MODULEID=""
+fi
+
+if [[ "$MVN_PROJECT_VERSION" == *SNAPSHOT ]]; then
+ echo "=> for SNAPSHOT artifact build"
+ MVN_DEPLOYMENT_TYPE='SNAPSHOT'
+else
+ echo "=> for STAGING/RELEASE artifact build"
+ MVN_DEPLOYMENT_TYPE='STAGING'
+fi
+echo "MVN_DEPLOYMENT_TYPE is [$MVN_DEPLOYMENT_TYPE]"
+
+
+TIMESTAMP=$(date +%C%y%m%dT%H%M%S)
+
+# expected environment variables
if [ -z "${MVN_NEXUSPROXY}" ]; then
echo "MVN_NEXUSPROXY environment variable not set. Cannot proceed"
exit
fi
-MVN_NEXUSPROXY_HOST=$(echo $MVN_NEXUSPROXY |cut -f3 -d'/' | cut -f1 -d':')
+MVN_NEXUSPROXY_HOST=$(echo "$MVN_NEXUSPROXY" |cut -f3 -d'/' | cut -f1 -d':')
+echo "=> Nexus Proxy at $MVN_NEXUSPROXY_HOST, $MVN_NEXUSPROXY"
+if [ -z "$WORKSPACE" ]; then
+ WORKSPACE=$(pwd)
+fi
+
+if [ -z "$SETTINGS_FILE" ]; then
+ echo "SETTINGS_FILE environment variable not set. Cannot proceed"
+ exit
+fi
+
-# use the version text detect which phase we are in in LF CICD process: verify, merge, or (daily) release
-# mvn phase in life cycle
+# mvn phase in life cycle
MVN_PHASE="$2"
+
+echo "MVN_PROJECT_MODULEID is [$MVN_PROJECT_MODULEID]"
+echo "MVN_PHASE is [$MVN_PHASE]"
+echo "MVN_PROJECT_GROUPID is [$MVN_PROJECT_GROUPID]"
+echo "MVN_PROJECT_ARTIFACTID is [$MVN_PROJECT_ARTIFACTID]"
+echo "MVN_PROJECT_VERSION is [$MVN_PROJECT_VERSION]"
+echo "MVN_NEXUSPROXY is [$MVN_NEXUSPROXY]"
+echo "MVN_RAWREPO_BASEURL_UPLOAD is [$MVN_RAWREPO_BASEURL_UPLOAD]"
+echo "MVN_RAWREPO_BASEURL_DOWNLOAD is [$MVN_RAWREPO_BASEURL_DOWNLOAD]"
+MVN_RAWREPO_HOST=$(echo "$MVN_RAWREPO_BASEURL_UPLOAD" | cut -f3 -d'/' |cut -f1 -d':')
+echo "MVN_RAWREPO_HOST is [$MVN_RAWREPO_HOST]"
+echo "MVN_RAWREPO_SERVERID is [$MVN_RAWREPO_SERVERID]"
+echo "MVN_DOCKERREGISTRY_DAILY is [$MVN_DOCKERREGISTRY_DAILY]"
+echo "MVN_DOCKERREGISTRY_RELEASE is [$MVN_DOCKERREGISTRY_RELEASE]"
+
+
+source "${PROJECT_ROOT}"/mvn-phase-lib.sh
+
+
+# Customize the section below for each project
case $MVN_PHASE in
clean)
echo "==> clean phase script"
+ clean_templated_files
+ clean_tox_files
+ rm -rf ./venv-* ./*.wgn ./site
;;
generate-sources)
echo "==> generate-sources phase script"
+ expand_templates
;;
compile)
echo "==> compile phase script"
@@ -42,6 +113,50 @@ install)
;;
deploy)
echo "==> deploy phase script"
+ # below segments are example of how to deploy various artifacts
+ # copy the ones suitable for your repo, and remove the "if false" statement
+
+ # build docker image from Docker file (under root of repo) and push to registry
+ if false ; then
+ build_and_push_docker
+ fi
+
+ # upload all yaml file under the root of repo
+ if false ; then
+ upload_files_of_extension yaml
+ fi
+
+ if false ; then
+ case $MVN_PROJECT_MODULEID in
+ bootstrap)
+ # build docker image from Docker file (under module dir) and push to registry
+ build_and_push_docker
+ ;;
+ scripts)
+ # upload all sh file under the root of module
+ upload_files_of_extension sh
+ ;;
+ platformdoc)
+ CURDIR=$(pwd)
+ virtualenv ./venv-doc
+ source ./venv-doc/bin/activate
+ pip install --upgrade pip
+ pip install --upgrade mkdocs mkdocs-material
+ pip freeze
+
+ mkdocs build
+ build_and_push_docker
+ deactivate
+ rm -rf ./venv-doc
+
+ # build docker image from Docker file (under module dir) and push to registry
+ build_and_push_docker
+ ;;
+ *)
+ echo "====> unknown mvn project module"
+ ;;
+ esac
+ fi
;;
*)
echo "==> unprocessed phase"